pkgname="device-asus-t00f"
pkgdesc="Asus Zenfone 5"
pkgver=0.1
pkgrel=3
url="https://postmarketos.org"
license="MIT"
arch="noarch"
options="!check"
depends="postmarketos-base linux-asus-t00f mkbootimg"
makedepends="devicepkg-dev"
subpackages="$pkgname-x11"
source="
	deviceinfo
	xorg.conf
"

build() {
	devicepkg_build $startdir $pkgname
}

package() {
	install -Dm644 "$srcdir"/deviceinfo \
		"$pkgdir"/etc/deviceinfo
	devicepkg_package $startdir $pkgname
}

x11() {
	install_if="$pkgname xorg-server"
	depends="
		libinput
		xf86-input-libinput
		xf86-video-fbdev"
	install -Dm644 "$srcdir"/xorg.conf \
		"$subpkgdir"/etc/X11/xorg.conf.d/10-t00f.conf
}

sha512sums="7a31b027a17f90872dfe3303227e36a699b0a95619ef27165183e83f91e084d4d61bc9e38bfd13e94f805b328f8850397d05d1f4acde49f86f4c599c98cf8f19  deviceinfo
2511fa519813061531757996fbbbb9eecae1a136d2e13149fd7afe04d19982c7eaa5ced8df57860bb816186f206915fcbd4a9e34fdf92b2c6efe3320a223c328  xorg.conf"
